# Uses of Interface
org.eclipse.net4j.util.factory.IFactoryKey

Packages that use IFactoryKey
Package
Description
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.
org.eclipse.net4j.util.factory
A framework for factory based instance creation.

## Uses of IFactoryKey in org.eclipse.net4j.util.container

Methods in org.eclipse.net4j.util.container that return types with arguments of type IFactoryKey
Modifier and Type
Method
Description
`protected IRegistry<IFactoryKey,IFactory>`
ManagedContainer.`createFactoryRegistry()`
`IRegistry<IFactoryKey,IFactory>`
IManagedContainer.`getFactoryRegistry()`
`IRegistry<IFactoryKey,IFactory>`
ManagedContainer.`getFactoryRegistry()`

## Uses of IFactoryKey in org.eclipse.net4j.util.factory

Classes in org.eclipse.net4j.util.factory that implement IFactoryKey
Modifier and Type
Class
Description
`final class`
`FactoryKey`
A default implementation of a `factory key`.
Methods in org.eclipse.net4j.util.factory that return IFactoryKey
Modifier and Type
Method
Description
`IFactoryKey`
Factory.`getFactoryKey()`
`IFactoryKey`
FactoryDescriptor.`getKey()`
Deprecated.
`IFactoryKey`
IFactory.`getKey()`
Methods in org.eclipse.net4j.util.factory with parameters of type IFactoryKey
Modifier and Type
Method
Description
`void`
Factory.`setFactoryKey(IFactoryKey factoryKey)`
`void`
IFactoryKeyAware.`setFactoryKey(IFactoryKey factoryKey)`
Constructors in org.eclipse.net4j.util.factory with parameters of type IFactoryKey
Modifier
Constructor
Description
``
`AnnotationFactory(Class<PRODUCT> productType, IFactoryKey key)`
``
`ContainerAware(IFactoryKey key)`
``
`Factory(IFactoryKey key)`
``
`PropertiesFactory(IFactoryKey key)`
``
`SingletonFactory(IFactoryKey key, Object product)`
``
`TreeFactory(IFactoryKey key)`